%define		api		1.0

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gnome-documents
Version:	3.16.5
Release:	1
License:	GPLv2+
Summary:	Document manager application for GNOME
Url:		http://www.gnome.org/
Group:		Graphical desktop/GNOME
Source0:	ftp://ftp.gnome.org/pub/gnome/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	gobject-introspection-devel
BuildRequires:	intltool, libxml2-utils, itstool, xsltproc
BuildRequires:	pkgconfig(evince-document-3.0) >= 3.3.0
BuildRequires:	pkgconfig(evince-view-3.0) >= 3.3.0
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.6
BuildRequires:	pkgconfig(glib-2.0) >= 2.29.90
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.1.13
BuildRequires:	pkgconfig(gnome-desktop-3.0)
BuildRequires:	pkgconfig(goa-1.0) >= 3.1.90
BuildRequires:	pkgconfig(libgdata) >= 0.16.1
BuildRequires:	pkgconfig(clutter-gtk-1.0) >= 1.0.1
BuildRequires:	pkgconfig(gjs-1.0)
BuildRequires:  pkgconfig(zapojit-0.0)
BuildRequires:  pkgconfig(evince-document-3.0)
BuildRequires:  pkgconfig(tracker-sparql-1.0)
BuildRequires:  pkgconfig(webkit2gtk-4.0)
BuildRequires:  inkscape
BuildRequires:  docbook-dtd42-xml
BuildRequires:	docbook-style-xsl
BuildRequires:  librsvg

Requires:	gjs
Requires:	tracker
Requires:	typelib(Rest)
Requires:	typelib(Soup)
Requires:	typelib(JavaScriptCore)
Requires:       %{_lib}tracker-gir1.0

Obsoletes:	%{_lib}gdprivate1.0_0 < 0.3.3
Obsoletes:	%{_lib}gdprivate1.0-devel < 0.3.3
Obsoletes:	%{_lib}gdprivate-gir1.0 < %{version}

%description
Documents is a document manager application for GNOME.

%package -n gnome-books
Summary:        A e-books manager application for GNOME
Group:		Graphical desktop/GNOME
Requires:       gnome-epub-thumbnailer
Requires:	%{name} = %{EVRD}

%description -n gnome-books
gnome-books is an e-books manager application for GNOME,
aiming to be a simple and elegant replacement for using Files to show
the Documents directory.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/scalable/apps/gnome-documents-symbolic.svg
%{_datadir}/icons/hicolor/*/apps/gnome-documents.png
%{_libdir}/%{name}/girepository-1.0/GdPrivate-%{api}.typelib
%{_libdir}/%{name}/*.so
%{_datadir}/dbus-1/services/org.gnome.Documents.service
%{_datadir}/glib-2.0/schemas/org.gnome.documents.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.Documents.enums.xml
%{_libdir}/%{name}/girepository-1.0/Gd-%{api}.typelib
%{_mandir}/man1/gnome-documents.1*
%{_datadir}/gnome-shell/search-providers/org.gnome.Documents.search-provider.ini
%{_datadir}/applications/org.gnome.Documents.desktop
%{_datadir}/appdata/org.gnome.Documents.appdata.xml

%files -n gnome-books
%doc README AUTHORS NEWS TODO COPYING
%{_bindir}/gnome-books
%{_datadir}/dbus-1/services/org.gnome.Books.service
%{_datadir}/glib-2.0/schemas/org.gnome.books.gschema.xml
%{_datadir}/applications/org.gnome.Books.desktop
%{_datadir}/icons/hicolor/scalable/apps/gnome-books-symbolic.svg
%{_datadir}/icons/hicolor/*/apps/gnome-books.png
%{_mandir}/man1/gnome-books.1*
%{_datadir}/appdata/org.gnome.Books.appdata.xml

%changelog

* Tue Feb 02 2016 Tigro <ashejn@gmail.com> 3.16.5-1
- (a015b38) update to 3.16.5


